package gobstore

import (
	"sync"
)

// parent type
type GobStore[T any] struct {
	sync.Mutex
	path           string
	values         map[string]T
	dirty          bool
	ROOT_DATA_PATH string
}

// NewStore creates a new object
func NewStore[T any](ROOT_DATA_PATH string, path string) GobStore[T] {
	return GobStore[T]{
		path:           path,
		ROOT_DATA_PATH: ROOT_DATA_PATH,
	}
}
